ATA_BUS_EDD(9)

NAME
ata_bus_edd - Issue EXECUTE DEVICE DIAGNOSTIC command.

SYNOPSIS

unsigned int ata_bus_edd (struct ata_port * ap);

ARGUMENTS

ap  Port to reset and probe

DESCRIPTION

Use the EXECUTE DEVICE DIAGNOSTIC command to reset and probe the bus. Not often used these days.

LOCKING

PCI/etc. bus probe sem. Obtains host_set lock.

AUTHOR
Jeff Garzik.